IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPWEB_KURUMDOSYAPDF]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPWEB_KURUMDOSYAPDF
GO

CREATE PROCEDURE [dbo].[SPWEB_KURUMDOSYAPDF]
@cariid nvarchar(30), @dosyano int
AS
BEGIN
	DECLARE @CARINO INT = dbo.FN_BASIT_ID_SIFRE_AC(@cariid)
	DECLARE @DOSYANOSTRING VARCHAR(10) = convert(varchar,@dosyano) +' numarali dosya pdf acildi'
	EXEC SPWEB_LOGLA 'kurumdosya',@CARINO,@DOSYANOSTRING,''

			SELECT top 1 HDOSYAID AS dosyano,
					RIGHT(('00'+cast(datepart(day,HDOSYA.HDTARIH) as varchar)),2)+'/'+RIGHT(('00'+cast(datepart(month,HDOSYA.HDTARIH) as varchar)),2)+'/'+cast(datepart(year,HDOSYA.HDTARIH) as varchar) AS dosyatarih,
					HKIMLIK.HADI+' '+HKIMLIK.HSOYADI AS isim,
					CONVERT(NVARCHAR(MAX),(CASE WHEN osgbkurumu=1 THEN ISNULL((SELECT TOP 1 DOKUMANBASE64 FROM HOSGBDOKUMAN WHERE HOSGBDOKUMAN.HDOSYAID=HDOSYA.HDOSYAID),'') ELSE '' END)) as kurumdosya
			FROM	HDOSYA WITH(NOLOCK)
			JOIN	HKIMLIK WITH(NOLOCK) ON HKIMLIK.HKIMLIKID = HDOSYA.HKIMLIKID
			JOIN	CARI WITH(NOLOCK) ON dbo.HDOSYA.HKCARIID = dbo.CARI.CARIID			
			WHERE	CARI.CARIID=@CARINO AND HDOSYA.HDOSYAID = @dosyano
				
END
GO

IF EXISTS (SELECT [name] FROM [sys].[database_principals] WHERE [type] = N'S' AND [name] = N'mediwebuser')
BEGIN
	BEGIN TRY
		GRANT EXECUTE ON [dbo].[SPWEB_KURUMDOSYAPDF] TO [mediwebuser]
	END TRY
	BEGIN CATCH
	END CATCH
END
GO


